Description

It will be good to have 'workflow' for custom fields.

i.e.:

All my 'bugs' have two fields: status (new, assigned, feedback, resolved, closed) + resolution (list - fixed, not a bug, won't fix,

reopened). Each status can have only few of resolution choices - resolution descibes why the status was changed. It will be good if

there will be possibility to filter custom field of list type depending on other fields (status for example) and to have default value for

each state.

History

#1 - 2008-06-05 20:55 - Arthaey Angosii

+1. I'm looking for this functionality too.

#2 - 2008-08-11 16:46 - Mischa The Evil

- Assignee set to Eric Davis

After discussion on IRC I recieved "permission" to assign an issue related to custom field workflows to Eric :)

Some more info from IRC:

...Look at an option to make custom-field list-type entries related to trackers/projects...

...What I mean is if there are different trackers using the same custom-field which is a list-type that it then gets possible to configure per list-item

in which tracker it is allowed to get chosen...

...It should be covered with a great set of defaults to prevent beginners from difficult workflow-like configurations...

...Imagine the following situation:

List items of the        |Trackers:

resolution-custom-field: |

-------------------------|-----------------------------------------------------------

Unresolved               |Defect, Feature, Enhancement, Task, Vendor Drop, Vendor Port,

Duplicate                |Defect, Feature, Enhancement, Task, Vendor Drop, Vendor Port,

Invalid                  |Defect, Feature, Enhancement, Task, Vendor Drop, Vendor Port,

Suspended                |Defect, Feature, Enhancement, Task, Vendor Drop, Vendor Port,

Fixed                    |Defect, 

Not a Defect             |Defect, 

Won't Fix                |Defect, 

Implemented              |        Feature, Enhancement,       Vendor Drop, Vendor Port,

Won't Implement          |        Feature, Enhancement,       Vendor Drop, Vendor Port,

Finished                 |                              Task, 

Won't Finish             |                              Task,

Like visible not every tracker can get all custom_field values... It would be fabulous to have this workflow based too...

...So a custom data list item could have specific items per tracker...

BTW: issue #1541 is somewhat related to this request...

#3 - 2010-04-27 19:31 - Daniel Miller

+1
https://www.redmine.org/issues/1541


#4 - 2010-10-25 17:03 - Eric Davis

- Assignee deleted (Eric Davis)

#5 - 2012-01-13 13:12 - Terence Mill

+1

#6 - 2012-02-21 20:14 - Axel Clifford

+1

#7 - 2012-04-20 16:13 - Rabbit Seagraves

+50. I can kind of do this with a custom field, but it doesn't show up anywhere near the status field, and that makes me sad.

#8 - 2014-02-12 14:39 - Sergey Naumov

Yes, something similar could be emulated with custom field, but in workflow->fields_permissions should be a "Absent" permission to indicate that for

such a state this field makes no sense.

But it would be cool to have some custom field that is attached to particular state or states.
